%define name libcddb
%define version 1.3.0
%define rel 1
%define release %mkrel %rel
%define docver 1.3.0

%define major 2
%define libname %mklibname cddb %{major}

Name: %name
Version: %version
Release: %release
License: LGPL
Group: System/Libraries
URL: http://libcddb.sourceforge.net/
Source: http://prdownloads.sourceforge.net/libcddb/%name-%version.tar.bz2
Source1: http://prdownloads.sourceforge.net/libcddb/%name-doc-%docver.tar.bz2
BuildRoot: %_tmppath/%name-buildroot
Summary: CDDB access library
BuildRequires: libcdio-devel
#auto* deps
BuildRequires: gettext-devel
BuildRequires: automake1.8

%description 
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.


%package -n %{libname}
Summary: Libraries from %name
Group: System/Libraries

%description -n %{libname}
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

%package -n %{libname}-devel
Summary: Devel files from libcddb
Group: Development/C
Requires: %{libname} = %version
Provides: %name-devel = %version-%release 

%description -n %{libname}-devel
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This is the libraries, include files and other resources you can use
to incorporate libcddb into applications.

%package -n %libname-static-devel 
Summary: Static Library for developing applications with %name
Group: Development/C
Requires: %libname-devel = %version

%description -n %libname-static-devel
This contains the static library of %name needed for building apps that
link statically to %name.

%package apps
Summary: Example applications based on %name
Group: Sound

%description apps
Libcddb is a library that implements the different protocols (CDDBP,
HTTP, SMTP) to access data on a CDDB server (http://freedb.org).  It
tries to be as cross-platform as possible.  The initial libary will
have a C API.

This package contains a command line client based on %name.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -a 1
mv output html
#gw fix libtool problem
aclocal-1.8
autoconf

%build
%configure2_5x
%make

%install
rm -rf %buildroot
%makeinstall_std

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%files apps
%defattr (- ,root,root)
%_bindir/*

%files -n %{libname}
%defattr (- ,root,root)
%_libdir/*.so.*

%files -n %{libname}-devel
%defattr(-, root, root)
%doc ChangeLog README AUTHORS NEWS TODO html
%_includedir/cddb
%_libdir/*.so
%attr(644,root,root) %_libdir/*.la
%_libdir/pkgconfig/*.pc

%files -n %libname-static-devel
%defattr(-,root,root)
%{_libdir}/lib*.a

%clean
rm -rf ${RPM_BUILD_ROOT}


%changelog


* Fri Sep 29 2006 Götz Waschk <waschk@mandriva.org> 1.2.2-1mdv2007.0
- New version 1.2.2

* Fri Mar 24 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-4mdk
- rebuild for new libcdio

* Wed Jan 11 2006 Gtz Waschk <waschk@mandriva.org> 1.2.1-3mdk
- fix buildrequires

* Thu Jan 05 2006 Götz Waschk <waschk@mandriva.org> 1.2.1-2mdk
- Rebuild

* Fri Aug  5 2005 Gtz Waschk <waschk@mandriva.org> 1.2.1-1mdk
- doc version is still 1.2.0
- New release 1.2.1

* Mon Jul 25 2005 Gtz Waschk <waschk@mandriva.org> 1.2.0-1mdk
- New release 1.2.0

* Thu Jul 21 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-3mdk
- update the docs

* Wed Jul 13 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-2mdk
- rebuild

* Sun Jul 10 2005 Gtz Waschk <waschk@mandriva.org> 1.1.0-1mdk
- major 2
- New release 1.1.0

* Mon May 09 2005 Gtz Waschk <waschk@mandriva.org> 1.0.2-1mdk
- New release 1.0.2

* Sat Apr 23 2005 Gtz Waschk <waschk@mandriva.org> 1.0.1-1mdk
- fix deps
- mkrel
- New release 1.0.1

* Mon Apr 18 2005 Gtz Waschk <waschk@mandriva.org> 1.0.0-2mdk
- fix buildrequires

* Mon Apr 18 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- fix build
- New release 1.0.0

* Fri Feb  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.9.6-2mdk
- rebuild

* Tue Nov  9 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.6-1mdk
- New release 0.9.6

* Thu Jul 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- add docs
- add source URL
- New release 0.9.5

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-2mdk
- rebuild for new rpm

* Thu Jun  5 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- add apps subpackage
- add pkgconfig file
- new version

* Mon May 26 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- new version

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- initial package
